<nav th:fragment="navbar" class="navbar navbar-expand-lg navbar-light bg-light" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5" xmlns:th="http://www.w3.org/1999/xhtml">
    <a class="navbar-brand" href="/home">Corona Help Map</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" th:href="@{/home}">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item" sec:authorize="hasAuthority('ADMIN')">
                <a class="nav-link" th:href="@{/admin}">Admin page <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item"  sec:authorize="hasAuthority('ADMIN')">
                <a class="nav-link" th:href="@{/users}">User list <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" th:href="@{/location}">Location<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" th:href="@{/file}">File<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" th:href="@{/profile}">Profile<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" th:href="@{/user-locations/{currentUserId}(currentUserId=${session['SPRING_SECURITY_CONTEXT'].authentication.principal.id})}">Locations list<span class="sr-only">(current)</span></a>
            </li>
        </ul>
        <div class="form-row">
            <div class="navbar-text" sec:authentication="name"></div>
            <form class="ml-3" th:action="@{/logout}" method="post">
                <button class="btn btn-dark" type="submit">Log Out</button>
            </form>
        </div>
    </div>
</nav>
